def fix_sector_jump(lc_input, period, per, min_int, max_int, exp_time, identifier, s, normalize = True):
    lc = copy.deepcopy(lc_input)
    if per > 3:
        try:
            min_snr_c = -27527200 * exp_time ** 3 + 888375 * exp_time ** 2 - 7493.9 * exp_time + 26.4506
            min_snr = -54902600 * exp_time ** 3 + 1713400 * exp_time ** 2 - 13248.5 * exp_time + 37.7867
            time = lc.time.value
            flux = lc.flux.value
            flux1, flux2 = np.split(flux, [np.nanargmax(np.diff(time)) + 1])
            time1, time2 = np.split(time, [np.nanargmax(np.diff(time)) + 1])
            lc1 = lk.LightCurve(time = time1, flux = flux1)
            lc2 = lk.LightCurve(time = time2, flux = flux2)
            lc1_t = lc1.time.value
            lc1_f = lc1.flux.value
            lc2_t = lc2.time.value
            lc2_f = lc2.flux.value
            lc1p = lc1.remove_outliers(sigma = 5)
            lc2p = lc2.remove_outliers(sigma = 5)
            for i in range(20):
                pgz = lc1p.to_periodogram(oversample_factor = 2)
                pga = lc1p.to_periodogram(minimum_period = min_int, maximum_period = max_int, oversample_factor = 5)
                snr = (np.nanmax(pga.power.value) / np.nanstd(pgz.power.value))
                if snr < min_snr_c:
                    break
                model = pga.model(time = lc1p.time, frequency = pga.frequency_at_max_power)
                lc1p = lk.LightCurve(time = lc1p.time, flux = (lc1p.flux.value - model.flux.value + 1) * (u.electron / u.s))
                lc1p = flatten_lc(lc1p, period, return_model = False, split = False)
                lc1p = lc1p.remove_outliers(sigma = 4)
            for i in range(20):
                pgz = lc2p.to_periodogram(oversample_factor = 2)
                pga = lc2p.to_periodogram(minimum_period = min_int, maximum_period = max_int, oversample_factor = 5)
                snr = (np.nanmax(pga.power.value) / np.nanstd(pgz.power.value))
                if snr < min_snr_c:
                    break
                model = pga.model(time = lc2p.time, frequency = pga.frequency_at_max_power)
                lc2p = lk.LightCurve(time = lc2p.time, flux = (lc2p.flux.value - model.flux.value + 1) * (u.electron / u.s))
                lc2p = flatten_lc(lc2p, period, return_model = False, split = False)
                lc2p = lc2p.remove_outliers(sigma = 4)
            lc1p_f, lc1p_t = lc1p.flux.value, lc1p.time.value
            lc2p_f, lc2p_t = lc2p.flux.value, lc2p.time.value
            winlen = int(1 / (1.44 * exp_time))
            if winlen % 2 != 1:
                winlen += 1
            hwinlen = int(winlen / 2)
            lc1p_fs = smooth(lc1p_f, winlen, lc1p_t, split = False)
            lc2p_fs = smooth(lc2p_f, winlen, lc2p_t, split = False)
            jump_est1 = np.array([[t, np.ptp(lc1p_fs[i - hwinlen : i + hwinlen])] for i, t in enumerate(lc1p_t) if not i < hwinlen or i > len(lc1p_t) - winlen])
            jump_est2 = np.array([[t, np.ptp(lc2p_fs[i - hwinlen : i + hwinlen])] for i, t in enumerate(lc2p_t) if not i < hwinlen or i > len(lc2p_t) - winlen])
            jump_est1 = jump_est1[int(jump_est1.shape[0] / 3) : int((2 * jump_est1.shape[0]) / 3)]
            jump_est2 = jump_est2[int(jump_est2.shape[0] / 3) : int((2 * jump_est2.shape[0]) / 3)]
            jump_time1 = jump_est1[np.nanargmax(jump_est1[:, 1]), 0]
            jump_time2 = jump_est2[np.nanargmax(jump_est2[:, 1]), 0]
            jump_cad1 = np.argwhere(lc1p_t == jump_time1).ravel()
            jump_cad2 = np.argwhere(lc2p_t == jump_time2).ravel()
            jump_cad1 = jump_cad1[0]
            jump_cad2 = jump_cad2[0]
            fit_wl = int(5 / (18 * exp_time))
            if fit_wl % 2 == 1:
                fit_wl += 1
            lc1_f_fit = lc1p_f[(jump_cad1 - int(fit_wl / 2)) : (jump_cad1 + int(fit_wl / 2))]
            lc1_t_fit = lc1p_t[(jump_cad1 - int(fit_wl / 2)) : (jump_cad1 + int(fit_wl / 2))]
            lc2_f_fit = lc2p_f[(jump_cad2 - int(fit_wl / 2)) : (jump_cad2 + int(fit_wl / 2))]
            lc2_t_fit = lc2p_t[(jump_cad2 - int(fit_wl / 2)) : (jump_cad2 + int(fit_wl / 2))]
            try:
                popt1, pcov1 = curve_fit(sigmoid, lc1_t_fit, lc1_f_fit, p0 = [jump_time1, 0.01, 0.01, np.nanmean(lc1_f_fit)])
                jump_size1 = -popt1[2]
                if abs(popt1[0] - np.nanmean(lc1_t_fit)) > 0.05 or abs(popt1[1]) > 0.05 or abs(jump_size1) > 0.1 or abs(jump_size1) < 0.0005 or abs(popt1[3] - np.nanmean(lc1_f_fit)) > 0.1:
                    jump_size1 = 0
            except RuntimeError:
                jump_size1 = 0
            try:
                popt2, pcov2 = curve_fit(sigmoid, lc2_t_fit, lc2_f_fit, p0 = [jump_time2, 0.01, 0.01, np.nanmean(lc2_f_fit)])
                jump_size2 = -popt2[2]
                if abs(popt2[0] - np.nanmean(lc2_t_fit)) > 0.05 or abs(popt2[1]) > 0.05 or abs(jump_size2) > 0.1 or abs(jump_size2) < 0.0005 or abs(popt2[3] - np.nanmean(lc2_f_fit)) > 0.1:
                    jump_size2 = 0
            except RuntimeError:
                jump_size2 = 0
            split_cad1 = np.argwhere(lc1_t == jump_time1).ravel()
            split_cad2 = np.argwhere(lc2_t == jump_time2).ravel()
            split_cad1 = split_cad1[0]
            split_cad2 = split_cad2[0]
            flux11, flux12 = np.split(lc1_f, [split_cad1])
            flux21, flux22 = np.split(lc2_f, [split_cad2])
            flux12 += jump_size1
            flux22 += jump_size2
            flux_fix = np.concatenate([flux11, flux12, flux21, flux22])
            flux_fix *= u.electron / u.s
            lc_fix = lk.LightCurve(time = time, flux = flux_fix)
            lcp = lc_fix.remove_outliers(sigma = 5)
            for i in range(20):
                pgz = lcp.to_periodogram(oversample_factor = 2)
                pga = lcp.to_periodogram(minimum_period = min_int, maximum_period = max_int, oversample_factor = 5)
                snr = (np.nanmax(pga.power.value) / np.nanstd(pgz.power.value))
                if snr < min_snr:
                    break
                model = pga.model(time = lcp.time, frequency = pga.frequency_at_max_power)
                lcp = lk.LightCurve(time = lcp.time, flux = (lcp.flux.value - model.flux.value + 1) * (u.electron / u.s))
                lcp = flatten_lc(lcp, period, return_model = False, split = False)
                lcp = lcp.remove_outliers(sigma = 4)
            lcp = lcp.remove_outliers(sigma = 3)
            wl = int(1 / (3 * exp_time))
            flux1, flux2 = np.split(lcp.flux.value, [np.nanargmax(np.diff(lcp.time.value)) + 1])
            flux1s = smooth(flux1, int(wl), 0, split = False)
            flux2s = smooth(flux2, int(wl), 0, split = False)
            fluxs = np.concatenate([flux1s, flux2s])
            lcp_f, lcp_t = fluxs, lcp.time.value
            jump_cad = np.nanargmax(np.diff(lcp_t))
            lc_f_fit = lcp_f[(jump_cad - int(wl)) : (jump_cad + int(wl))]
            try:
                popt, pcov = curve_fit(sigmoid, np.arange(len(lc_f_fit)), lc_f_fit, p0 = [len(lc_f_fit) / 2, 0.01, 0.01, np.nanmean(lc1_f_fit)])
                jump_size = -popt[2]
                if abs(popt[0] - (len(lc_f_fit) / 2)) > (len(lc_f_fit) / 6) or abs(popt[1]) > 0.05 or abs(jump_size) > 0.1 or abs(popt[3] - np.nanmean(lc_f_fit)) > 0.1:
                    jump_size = 0
            except RuntimeError:
                jump_size = 0
            flux1, flux2 = np.split(lc_fix.flux.value, [np.nanargmax(np.diff(lc_fix.time.value)) + 1])
            flux2 += jump_size
            flux_fix = np.concatenate([flux1, flux2])
            flux_fix *= u.electron / u.s
            lc_fix = lk.LightCurve(time = lc_fix.time, flux = flux_fix)
            if normalize:
                lc_fix = lc_fix.normalize()
            return lc_fix
        except:
            return lc.normalize()
    else:
        return lc.normalize()