def flatten_lc(lc_regress, period, return_model = True, split = True, offset = True):
    lc = copy.deepcopy(lc_regress)
    if period > 4:
        polyorder = 0
        offset = False
    elif period > 1 and period <= 4:
        polyorder = 0
    elif period > 0.2 and period <= 1:
        polyorder = 1
    else:
        polyorder = 2
        niter = 2
    if split:
        lc1_f, lc2_f = np.split(lc.flux.value, [np.nanargmax(np.diff(lc.time.value)) + 1])
        lc1_t, lc2_t = np.split(lc.time.value, [np.nanargmax(np.diff(lc.time.value)) + 1])
        if polyorder == 1:
            idx = np.isfinite(lc1_t) & np.isfinite(lc1_f)
            fit1 = np.poly1d(np.polyfit(lc1_t[idx], lc1_f[idx], polyorder))
            poly_flux1 = fit1(lc1_t)
            poly_flux1 -= np.nanmin(poly_flux1)
            lc1_f = lc1_f - poly_flux1
            idx = np.isfinite(lc2_t) & np.isfinite(lc2_f)
            fit2 = np.poly1d(np.polyfit(lc2_t[idx], lc2_f[idx], polyorder))
            poly_flux2 = fit2(lc2_t)
            poly_flux2 -= np.nanmin(poly_flux2)
            lc2_f = lc2_f - poly_flux2
        elif polyorder == 2:
            wl = int((period / np.nanmedian(np.diff(lc.time.value))) * 2)
            poly_flux1 = smooth(lc1_f, wl, lc1_t, split = False, niter = niter)
            poly_flux2 = smooth(lc2_f, wl, lc2_t, split = False, niter = niter)
            poly_flux1 -= np.nanmin(poly_flux1)
            poly_flux2 -= np.nanmin(poly_flux2)
            lc1_f -= poly_flux1
            lc2_f -= poly_flux2
        else:
            poly_flux1 = np.empty(lc1_f.shape)
            poly_flux2 = np.empty(lc2_f.shape)
        if offset:
            offset1 = np.nanmedian(lc1_f) - np.nanmean([np.nanmedian(lc1_f), np.nanmedian(lc2_f)])
            offset2 = np.nanmedian(lc2_f) - np.nanmean([np.nanmedian(lc1_f), np.nanmedian(lc2_f)])
            lc1_f -= offset1
            lc2_f -= offset2
            poly_flux1 += offset1
            poly_flux2 += offset2
        else:
            poly_flux1 += 0
            poly_flux2 += 0
        poly_flux = np.concatenate([poly_flux1, poly_flux2], axis = 0)
        poly_flux -= np.nanmin(poly_flux)
        lc_f = np.concatenate([lc1_f, lc2_f], axis = 0)
        lc_f *= (u.electron / u.s)
        lc_flat = lk.LightCurve(time = lc.time, flux = lc_f)
        lc_flat = lc_flat.normalize()
    else:
        lc_t, lc_f = lc.time.value, lc.flux.value
        if polyorder == 1:
            idx = np.isfinite(lc_t) & np.isfinite(lc_f)
            fit = np.poly1d(np.polyfit(lc_t[idx], lc_f[idx], polyorder))
            poly_flux = fit(lc_t)
            poly_flux -= np.nanmin(poly_flux)
            lc_f = lc_f - poly_flux
        elif polyorder >= 2:
            wl = int((period / np.nanmedian(np.diff(lc.time.value))) * 3)
            poly_flux = smooth(lc_f, wl, lc_t, split = False, niter = niter)
            poly_flux -= np.nanmin(poly_flux)
            lc_f -= poly_flux
        else:
            return_model = False
        if return_model:
            poly_flux -= np.nanmin(poly_flux)
        lc_flat = lk.LightCurve(time = lc.time, flux = lc_f * (u.electron / u.s))
        lc_flat = lc_flat.normalize()
    if return_model:
        return lc_flat, poly_flux
    else:
        return lc_flat