def regression(lc_input, tpf, bg_mask, mask, cadence, return_model = True):
    lc = copy.deepcopy(lc_input)
    flux_bg = tpf[:, bg_mask]
    flux_bg_mean = np.nanmean(flux_bg, axis = 1)
    median_bg_flux = np.nanmedian(flux_bg_mean)
    median_flux_px = np.nanmedian(flux_bg, axis = 0)
    norm_scale = median_flux_px / median_bg_flux
    norm_flux_bg = flux_bg / norm_scale
    flux_bg_mean_dev = np.stack([norm_flux_bg[:, i] - flux_bg_mean for i in range(len(median_flux_px))], axis = 1)
    flux_mean_std = np.nanstd(flux_bg_mean_dev, axis = 0)
    flux_mean_std_norm = flux_mean_std / median_flux_px
    flux_weights = (((np.nanmax(flux_mean_std_norm) - flux_mean_std_norm) / (np.nanmax(flux_mean_std_norm) - np.nanmin(flux_mean_std_norm))) + 0.5) / 1.5
    weighted_avg_flux = np.average(flux_bg, weights = flux_weights, axis = 1)
    scaled_bg_flux = weighted_avg_flux * len(mask[mask == True])
    scaled_bg_flux = scaled_bg_flux.value
    if cadence == '200 s':
        scaled_bg_flux = smooth(scaled_bg_flux, 3, lc.time.value)
    elif cadence == '2 min':
        scaled_bg_flux = smooth(scaled_bg_flux, 5, lc.time.value)
    elif cadence == '20 s':
        scaled_bg_flux = smooth(scaled_bg_flux, 30, lc.time.value)
    scaled_bg_flux -= np.nanmin(scaled_bg_flux)
    lc_regressed = lk.LightCurve(time = lc.time.value, flux = lc.flux.value - scaled_bg_flux)
    if return_model:
        return lc_regressed, scaled_bg_flux
    else:
        return lc_regressed