def smooth(arr, wl, time, split = True, niter = False):
    if type(wl) != int or wl < 2:
        raise TypeError('Window length must be integer higher than 1')
    if wl % 2 == 0:
        wl += 1
    hw = int(wl / 2)
    if split:
        arr_split = np.split(arr, [np.nanargmax(np.diff(time)) + 1])
        arr1, arr2 = arr_split[0], arr_split[1]
        sarr1, sarr2 = np.zeros((arr1.shape)), np.zeros((arr2.shape))
        for i in range(len(arr1)):
            f = i - hw
            l = i + hw + 1
            if f < 0:
                f = 0
            sarr1[i] = np.nanmean(arr1[f:l])
        for i in range(len(arr2)):
            f = i - hw
            l = i + hw + 1
            if f < 0:
                f = 0
            sarr2[i] = np.nanmean(arr2[f:l])
        if niter:
            arr_list = [[sarr1, sarr2]]
            for x in range(niter):
                hw = int(hw * (1.5 * (x + 1)))
                for i in range(len(arr_list[x, 0])):
                    f = i - hw
                    l = i + hw + 1
                    if f < 0:
                        f = 0
                    sarr1[i] = np.nanmean(arr_list[x, 0, f:l])
                for i in range(len(arr_list[x, 1])):
                    f = i - hw
                    l = i + hw + 1
                    if f < 0:
                        f = 0
                    sarr2[i] = np.nanmean(arr_list[x, 1, f:l])
                arr_list.append([sarr1, sarr2])
            sarr1 = arr_list[niter, 0]
            sarr2 = arr_list[niter, 1]
        sarr = np.concatenate([sarr1, sarr2], axis = 0)
    else:
        sarr = np.zeros((arr.shape))
        hw = int(wl / 2)
        for i in range(len(arr)):
            f = i - hw
            l = i + hw + 1
            if f < 0:
                f = 0
            sarr[i] = np.nanmean(arr[f:l])
        if niter:
            arr_list = [sarr]
            for x in range(niter):
                hw = int(hw * (1.5 * (x + 1)))
                for i in range(len(arr_list[x])):
                    f = i - hw
                    l = i + hw + 1
                    if f < 0:
                        f = 0
                    sarr[i] = np.nanmean(arr_list[x][f:l])
                arr_list.append(sarr)
            sarr = arr_list[niter]
    return sarr